> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> 
Create a new user in your workspace. Requires account admin role. Use for automated user provisioning or SCIM integrations.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/users
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/users:
    post:
      tags:
        - Configuration
      summary: Create User
      description: >-

        Create a new user in your workspace. Requires account admin role. Use
        for automated user provisioning or SCIM integrations.
      operationId: post_create_user
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                email_address:
                  title: Email Address
                  type: string
                first_name:
                  title: First Name
                  type: string
                last_name:
                  title: Last Name
                  type: string
                account_role:
                  $ref: '#/components/schemas/Roles'
                id:
                  default: null
                  title: Id
                  format: uuid
                  type:
                    - string
                    - 'null'
                profile_picture:
                  default: null
                  title: Profile Picture
                  type:
                    - string
                    - 'null'
                profile_color:
                  default: null
                  title: Profile Color
                  type:
                    - string
                    - 'null'
              required:
                - email_address
                - first_name
                - last_name
                - account_role
              title: CreateUserRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  email_address:
                    title: Email Address
                    type: string
                  first_name:
                    title: First Name
                    type: string
                  last_name:
                    title: Last Name
                    type: string
                  account_role:
                    title: Account Role
                    type: string
                  is_deleted:
                    title: Is Deleted
                    type: boolean
                  profile_picture:
                    default: null
                    title: Profile Picture
                    type:
                      - string
                      - 'null'
                  profile_color:
                    default: null
                    title: Profile Color
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - email_address
                  - first_name
                  - last_name
                  - account_role
                  - is_deleted
                title: UserResponse
                type: object
          description: >-
            UserResponse(id: uuid.UUID, email_address: str, first_name: str,
            last_name: str, account_role: str, is_deleted: bool,
            profile_picture: Optional[str] = None, profile_color: Optional[str]
            = None)
components:
  schemas:
    Roles:
      enum:
        - Account User
        - Account Admin
        - Account Analyst
        - Account Guest
      title: Roles
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````